Get Access Token

This page provides detailed information about the access token API used in the SNAP standard for QRIS creation and query.

Request Parameters

Key ParametersData TypeDescription
Content-TypeStringString representing the content type (application/json)
X-CLIENT-KEYStringClient's client_id
X-TIMESTAMPdatetimeClient's current local time in yyyy-MM- ddTHH:mm:ss.SSSTZD format
X-SIGNATUREstringNon-repudiation & integrity validation checking.

Generated by client and created using asymmetric
signature SHA256withRSA algorithm
(Private_Key, stringToSign)
stringToSign = client ID + “|” + X-TIMESTAMP
grant_typestringMust be client_credentials

Response Parameters

Key parametersData typeDescription
responseCodeintegerA code indicating the success or failure of the request, along with the associated reason.
responseMessagestringA detailed message providing further context on the response code.
accessTokenstringAn authorization token issued to the client for accessing protected resources.
tokenTypestringSpecifies the type of token returned (e.g., Bearer).
expiresInintegerThe duration (in seconds) for which the access token is valid before expiring. It will be 900 seconds in default.
Body Params
string
required
Defaults to client_credentials

Must be "client_credentials"

Headers
string
required
Defaults to application/json

String represents indicate the media type of the resource

string
required
Defaults to 66a5fc3b-7c57-4e29-b097-88b5909aedcc

Client’s client_id

date
required
Defaults to 2024-11-11T18:44:33+07:00

Client's current local time in yyyy-MM- ddTHH:mm:ss.SSSTZD format

string
required
Defaults to i10jpP3qxAU+K+YtHmqXTnd00tbAdloAMoJsi0W32T4mnGiaZB1JNtWm1DZetUXUE7+93VVn4L5F1YhqheElsjQBnaDmPUxDXWrT8cHakzKz/EYNGFhgnnGVokRLaBnDIP11ASFACt7P7dtTA3EFAoD65NbApyMmKkrPG8siQvyKylx5xHRCq2Zr3WNqWOP4MgCo862PNHNAapu54ikw3B9x1FW/BCTWlm0bzz51HXWvoneyF9boddKGjfDgFJYfVp58RJd8cgvqwCAV/+bzXzen0DqB9Yo2O3XCszD6yMVJz5dMvEkOwSyskILbJsSLa8JqRRh/j66jYLy8JBDOFg==

Non-Repudiation & Integrity check signature for the requesting

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json